Contributing to Sensei
===

Firstly, thanks for even thinking about contributing. You're awesome!

To make things easier we've created these guidelines:

## Issues:
- When opening an issue please keep it to one bug / enhancement / question etc. this to simplify the discussion.
- Please test the master branch to confirm the issue still exists. 
- Be as descriptive as you can. Screen shots are always welcome.

## Pull Requests
- The general rule is to use 1 PR for 1 Issue. This helps the merge master quickly figure out how the new code affects the plugin.
- All Pull Request must be made from int "master". You will be responsible for checking that your branch is up to date.
- All pull requests must be related to an existing / new issue.
- If you have the chops please include Unit Tests along with your Pull Request.

## Unit Tests
Unit tests can be run locally. Please see our [test instructions](https://github.com/Automattic/sensei/tree/master/tests#readme) to run the unit tests.

## CSS
CSS is built using [SASS](https://sass-lang.com/documentation/file.SASS_REFERENCE.html). To compile to .css files, run `gulp CSS` from the root folder.

## Development Blog
Please follow further development updates at [https://senseilms.com/blog/](https://senseilms.com/blog/)


*We appreciate all your efforts. Your contributions make Sensei even better!*
